import { DateValue } from '../../types/value';
import { DateFilterWidgetConfig } from '../../types/widget/filter';
import { FilterHeadlessWidget } from './Filter';
declare class DateFilterHeadlessWidget<VT extends DateValue | DateValue[], CT extends DateFilterWidgetConfig = DateFilterWidgetConfig> extends FilterHeadlessWidget<VT, CT> {
    getRangeValue(): DateValue[];
    getRangePlaceholders(): string[];
    formatDate(value: DateValue): DateValue;
}
export { DateFilterHeadlessWidget };
