import { DateValue } from '../../types/value';
import { DateFieldWidgetConfig } from '../../types/widget/field';
import { FieldHeadlessWidget } from './Field';
declare class DateFieldHeadlessWidget<VT extends DateValue | DateValue[], CT extends DateFieldWidgetConfig = DateFieldWidgetConfig> extends FieldHeadlessWidget<VT, CT> {
    getRangeValue(): DateValue[];
    getRangePlaceholders(): string[];
    formatDate(value: DateValue): DateValue;
}
export { DateFieldHeadlessWidget };
